import os
from distutils.core import setup

package_name = "fortran_linter"
version = '1.0.0'
README = os.path.join(os.path.dirname(__file__), 'Readme.md')
long_description = open(README).read()
setup(name=package_name,
      version=version,
      description=("A linter for Fortran files"),
      long_description=long_description,
      url='https://github.com/cphyc/fortran-syntax',
      classifiers=[
          'Development Status :: 3 - Alpha',
          'Intended Audience :: Developers',
          'Programming Language :: Fortran',
          'License :: OSI Approved :: GNU General Public License v2 or later (GPLv2+)',
          'Topic :: Software Development :: Build Tools',
      ],
      keywords='fortran',
      author='Corentin Cadiou',
      author_email='corentin.cadiou@iap.fr',
      license='GPL',
      package_dir={package_name: package_name},
      packages=[package_name],
      entry_points={
          'console_scripts': [
              'fortran-linter = fortran_linter.cli:main',
          ]}
)
